Name:           opeke
Version:        0.4
Release:        1%{?dist}
Summary:        A program for building objects from bricks of different colors, shapes and sizes

Group:          Amusements/Graphics
License:        GPLv2+
URL:            http://opeke.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/Opeke-%{version}.tar.gz
Patch0:         Opeke-desktop-validate.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ogre-devel gcc-c++ cmake
BuildRequires:  qt4-devel >= 4.4.0 kdelibs4-devel >= 4.1
BuildRequires:  desktop-file-utils
Requires:       kdelibs4 >= 4.1 qt4 >= 4.4.0
Requires:       ogre

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
Opeke is a program for building objects such as houses or ornaments from bricks
of different colors, shapes and sizes. Unlike most 3D editors, Opeke aims to be
very simple to use, so it should be suitable for younger users.

%prep
%setup -q -n Opeke
%patch0 -p1

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
rm -rf %{buildroot}
mkdir %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-install --dir=%{buildroot}%{_kde4_datadir}/applications/kde4 \
%{buildroot}%{_desktopdir}/kde4/%{name}.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc
%{_kde4_datadir}/kde4/apps/opeke/
%{_kde4_bindir}/opeke
%{_kde4_datadir}/config.kcfg/opeke.kcfg
%{_desktopdir}/kde4/%{name}.desktop

%changelog
* Sun Oct 4 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.4-1
- initial package